import { Token, JSXToken } from 'js-tokens';

type TokenType = Token['type'] | JSXToken['type'] | 'Keyword' | 'Bracket' | 'IdentifierCapitalized' | 'IdentifierMethodName' | 'PrivateIdentifierMethodName';
type TokenColors = Partial<Record<TokenType, (text: string) => string>>;
interface HighlightOptions {
    jsx?: boolean;
    colors: TokenColors;
}
declare function highlight(code: string, options?: HighlightOptions): string;

export { TokenColors, highlight };
